Ctrl+F playlist search should also search in file names
Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.3   

Affects version: 3.10.1   

Description

When searching in the playlist with Ctrl+F, it apparently only searches in the file tags, not in the file names.

History

#1 - February 18, 2023 12:58 - jesus2099 𐂗

I am on Raspbarry Pi OS (Raspbian/Debian) 10 Xfce.

#2 - February 18, 2023 15:47 - John Lindgren

Have you tried a newer version? 3.10.1 is quite old now, and not supported any more.

#3 - February 22, 2023 07:32 - Artem S. Tashkinov

I'm using Audacious 4.3-beta1, GTK2 version.

Ctrl+F doesn't find tracks by their filenames.

Ctrl+J finds them.

(I'm also curious why the Qt version doesn't have the Ctrl+J (Jump to Song) dialog).

#4 - February 27, 2023 19:08 - Thomas Lange

With Qt the "Jump to Song" dialog does not search in file names though. This is only the case for GTK.

The dialog may be useful anyway, so I approve adding it.

@John: Is it missing in qtui because our custom Ctrl+F search is supposed to be better? Or simply because of historical reasons? The dialog was

long missing in the Winamp interface as well.

#5 - February 28, 2023 01:51 - John Lindgren

Ctrl+F search was supposed to combine Jump to Song and the previous playlist search in a way that was better integrated into the UI and reused

code better (hence filtering the existing playlist display rather than a separate window).

I had hoped to reuse the same playlist widget (with filtering) for a popup search/jump to song window in the Qt Winamp interface but never had the

time to do it.

#6 - February 28, 2023 20:46 - Thomas Lange
jesus2099 𐂗: In my opinion "CTRL+F" should search in the potentially visible (scrollable) content, like a web browser does. So if the file name column

is not shown in the playlist, I would not expect it to be searched.

@John: Regarding the "Jump to Song" dialog: Do you think it is redundant to offer it in qtui? It's already there in libaudqt, but only used in the Qt

Winamp interface.

Implementing the GTK "Jump to Time" dialog would also be possible. I can take care of this if you want. Feature parity between GTK/Qt should

always be useful. :)

diff --git a/src/qtui/menus.cc b/src/qtui/menus.cc

index bee13e1be..89c460f17 100644

--- a/src/qtui/menus.cc

+++ b/src/qtui/menus.cc

@@ -161,6 +161,8 @@ QMenuBar * qtui_build_menubar(QWidget * parent)

         audqt::MenuCommand(

             {N_("Song _Info ..."), "dialog-information", "Ctrl+I"},

             audqt::infowin_show_current),

+        audqt::MenuCommand({N_("_Jump to Song ..."), "go-jump", "Ctrl+J"},

+                           audqt::songwin_show),

         audqt::MenuSep(),

         audqt::MenuCommand({N_("Set Repeat Point _A"), nullptr, "Ctrl+1"},

                            set_ab_repeat_a),

#7 - March 01, 2023 00:11 - John Lindgren

It seems redundant to me. Ctrl+F already provides a means to search for a track and play it.

Personally I'm not opposed to searching by filename as well (even if the column is hidden).

#8 - March 01, 2023 13:37 - Artem S. Tashkinov

Ctrl + J is hugely important for me.

Sometimes you don't quite remember how the track is called, so you enter something and it shows a short list of tracks which is easy to navigate.

Ctrl + F on the other hand jumps between tracks in a very long list (I have over 5000 tracks), so finding a track you don't quite remember becomes

near impossible.

#9 - March 01, 2023 13:44 - Artem S. Tashkinov

There's another use for this dialog.

Imagine you want to create a new playlist based on certain obscure criterion which doesn't quite work for any sort mode.

You enter a search string, you get a list of tracks, you select them and drag them to a new playlist.
Actually, actually, here's a new better idea.

Instead of a dedicated dialog what about a search field which filters the tracks in the current playlist dynamically?

So, once you enter a search string, instead of seeing the entire playlist you only get the tracks that match the search string.

#10 - March 01, 2023 14:28 - John Lindgren

Instead of a dedicated dialog what about a search field which filters the tracks in the current playlist dynamically?

 

That's what Ctrl-F does ...

#11 - March 02, 2023 09:28 - Artem S. Tashkinov

John Lindgren wrote:

Instead of a dedicated dialog what about a search field which filters the tracks in the current playlist dynamically?

 

That's what Ctrl-F does ...

 

It actually does. Well, then, it's all good, just please allow to search for filenames :-)

#12 - March 04, 2023 22:15 - Thomas Lange

- Target version set to 4.3

- Status changed from New to Closed

- Category set to plugins/qtui

Fixed for the Qt interface with https://github.com/audacious-media-player/audacious-plugins/commit/82ecc280e5a965e2077feae4a715e0e4a8dadce1

.
